#TouhouDanmakufu[Plural]
#ScriptVersion[3]
#Title["Yi - Extra"]
#Text["For warriors who wish to       conquer lands.                 Diff: Hard - Lunatic"] 
#Background["./Background.txt"]
#System["./System test/SystemMain.txt"]
#BGM ["./BGM/The Whirlwind of Seven Evil Samurais.mp3"]
#Player["./players/Reimu Hakurei/Player_Reimu.txt" , "./players/Marisa Kirisame/Player_Marisa.txt" , "./players/Sanae Kochiya/Player_Sanae.txt" , "./players/Sakuya Izayoi/Player_Sakuya.txt" , "./players/Youmu Kompaku/Player_Youmu.txt"]

let dir = GetCurrentScriptDirectory();

@Event{
	yield;
}

@Initialize{
	TPlural;
}

@MainLoop{
	yield;
	SetPlayerLife(99);
}

//wait -- --- -----
function wait(n){loop(n){yield;}}

task TPlural{
    let obj = ObjEnemyBossScene_Create();
    ObjEnemyBossScene_Add(obj, 0, dir ~ "Non 1 Ex.cs");
	ObjEnemyBossScene_Add(obj, 0, dir ~ "S1 Ex.cs");
    ObjEnemyBossScene_Add(obj, 1, dir ~ "Non 2 Ex.cs");
    ObjEnemyBossScene_Add(obj, 1, dir ~ "S2 Ex.cs");
    ObjEnemyBossScene_Add(obj, 2, dir ~ "Non 3 Ex.cs");
	ObjEnemyBossScene_Add(obj, 2, dir ~ "S3 Ex.cs");
    ObjEnemyBossScene_Add(obj, 3, dir ~ "Non 5 Ex.cs");
    ObjEnemyBossScene_Add(obj, 3, dir ~ "Non 4 Ex.cs");
	ObjEnemyBossScene_Add(obj, 3, dir ~ "S4 Ex.cs");
	ObjEnemyBossScene_Add(obj, 4, dir ~ "S5 Ex.cs");
	ObjEnemyBossScene_LoadInThread(obj);
    ObjEnemyBossScene_Regist(obj);
	while(!Obj_IsDeleted(obj)){
        yield;
    }
    CloseScript(GetOwnScriptID());
}